# DependencySubstitution

interface DependencySubstitution

Provides means to substitute a different dependency during resolution.

#### Since

2.5

## Functions

artifactSelection
Link copied to clipboard
abstract fun artifactSelection(action: Action<in ArtifactSelectionDetails>)
Configures the artifact selection for the substitution.
getRequested
Link copied to clipboard
abstract fun getRequested(): ComponentSelector
The requested dependency, before it is resolved.
useTarget
Link copied to clipboard
abstract fun useTarget(notation: Any)
abstract fun useTarget(notation: Any, reason: String)
This method can be used to replace a dependency before it is resolved, e.g.